summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-10-28 10:59:45 +0200
committerHolger Levsen <holger@layer-acht.org>2016-10-28 10:59:45 +0200
commit2aeaeb13c44c7b4f1c23f5c2768f5173b504a57d (patch)
treeebf09c2d06e155357d16ce41882bebff1bdcca78 /bin
parent92afdf3fc5f1678fcdead7310823640ac2d87a52 (diff)
downloadjenkins.debian.net-2aeaeb13c44c7b4f1c23f5c2768f5173b504a57d.tar.xz
reproducible Debian: correctly test whether squid is down
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_maintenance.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index 30fb587e..e8b79185 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -46,7 +46,7 @@ set +e
# check for working proxy
echo "$(date -u) - testing whether the proxy works..."
curl http://www.debian.org > /dev/null
-if [ $? -eq 1 ] ; then
+if [ $? -ne 0 ] ; then
irc_message debian-reproducible "Proxy is down for $HOSTNAME, please tell the jenkins admins to fix this. (sudo service squid3 restart)"
exit 1
fi